var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
gps();
function gps() {
    return __awaiter(this, void 0, void 0, function () {
        function sleep(ms) {
            return new Promise(function (resolve, reject) {
                return setTimeout(resolve, ms);
            });
        }
        function jdToggle(x) {
            if (!setting.gpsEnable)
                return;
            if (!x.data)
                return;
            var pkgname = x.data.pkg;
            if (pkgname != "com.jingdong.app.mall" ||
                [
                    "com.jingdong.common.ui.JDBottomDialog",
                    "com.jingdong.common.unification.dialog.UnBottomDialog",
                ].indexOf(clsname) < 0)
                return;
            getJdCarCoupon((running = Date.now()));
        }
        function onFindCoupon(coupon) {
            if (!coupon)
                return;
            we.dbset("gps.coupon", coupon);
            return showCoupon(coupon);
        }
        function showCoupon(coupon) {
            return __awaiter(this, void 0, void 0, function () {
                var data, fan, fanText, rate, shareFee, str, rate, shareFee, str;
                return __generator(this, function (_a) {
                    _coupon = coupon;
                    data = coupon.data;
                    if (data != null) {
                        if (data.coupon_amount != null && data.coupon_amount > 0) {
                            fan = "";
                            fanText = "";
                            if (gps_settings.shareMode == 2) {
                                rate = data.commission_rate * 0.9 * gps_settings.shareRate;
                                shareFee = (rate * (data.zk_final_price - data.coupon_amount)) / 10000;
                                str = shareFee < 0.01 ? rate.toFixed(2) + "%" : shareFee.toFixed(2) + "\u5143";
                                fan = "+" + str + "\u8FD4\u5229";
                                fanText = "<br/>\u8FD4" + str;
                            }
                            we.toast((we.config.dev ? "广告跳过APP:" : "") + "\u6709\u51CF" + data.coupon_amount + "\u5143\u5238" + fan);
                            we.sendNotification("\u4E3A\u60A8\u627E\u5230" + data.coupon_amount + "\u5143\u5238" + fan, "前往领取", {
                                id: 1,
                                sound: false,
                            });
                            we.setText("\u5238" + data.coupon_amount + "\u5143" + fanText + "<br/>\u70B9\u6211\u9886\u53D6");
                        }
                        else {
                            rate = data.commission_rate * 0.9 * gps_settings.shareRate;
                            shareFee = (rate * (data.zk_final_price - data.coupon_amount)) / 10000;
                            str = shareFee < 0.01 ? rate.toFixed(2) + "%" : shareFee.toFixed(2) + "\u5143";
                            we.toast((we.config.dev ? "广告跳过APP:" : "") + "\u6709\u8FD4\u5229" + str);
                            we.sendNotification("\u4E3A\u60A8\u627E\u5230\u8FD4\u5229" + str, "前往领取", { id: 1, sound: false });
                            we.setText("\u8FD4" + str + "<br/>\u70B9\u6211" + (we.config.online ? "" : "登录") + "\u9886\u53D6");
                        }
                        we.emit("gps\n" + JSON.stringify(coupon), 1);
                        return [2 /*return*/];
                    }
                    if (coupon.list.length > 0) {
                        we.toast("\u627E\u5230" + coupon.list.length + "\u6761\u540C\u540D\u5546\u54C1");
                        we.setText("\u540C\u540D" + coupon.list.length + "\u6761<br/>\u70B9\u6211\u67E5\u770B");
                        we.emit("gps\n" + JSON.stringify(coupon), 1);
                    }
                    else {
                        we.toast("没有找到优惠券");
                        we.setText("没有券");
                    }
                    return [2 /*return*/];
                });
            });
        }
        function getCoupon(runAt) {
            return __awaiter(this, void 0, void 0, function () {
                var n, title, volume, titles, price, swipe, flag, nodes, _i, nodes_1, node, text, i, node;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            n = 5;
                            titles = new Set();
                            swipe = true;
                            we.setText("正在识别商品");
                            flag = 0;
                            _a.label = 1;
                        case 1:
                            if (!(n-- > 0 &&
                                (!(titles.size || title) ||
                                    (volume == null && price == null) ||
                                    (swipe && (volume == null || price == null))))) return [3 /*break*/, 6];
                            return [4 /*yield*/, sleep(500)];
                        case 2:
                            _a.sent();
                            if (runAt < running)
                                return [2 /*return*/, we.setText(_prevText)];
                            return [4 /*yield*/, we.getNodes(1)];
                        case 3:
                            nodes = _a.sent();
                            for (_i = 0, nodes_1 = nodes; _i < nodes_1.length; _i++) {
                                node = nodes_1[_i];
                                if (!(flag & 1) && node.text == "加入购物车")
                                    flag |= 1;
                                else if (!(flag & 2) && /^(\d+\/\d+|分享|帮我选)$/.test(node.text))
                                    flag |= 2;
                            }
                            if (flag == 0)
                                return [3 /*break*/, 1];
                            else if (flag == 1)
                                return [2 /*return*/, we.setText(_prevText)];
                            text = "";
                            for (i = 0; i < nodes.length; i++) {
                                node = nodes[i];
                                if (!title &&
                                    node.left < 156 &&
                                    node.text.length > 18 &&
                                    !/png;base64,|\.jpg_|快递: |支付尾款时间|用如下优惠|;/.test(node.text)) {
                                    if (node.text.startsWith("//"))
                                        title = node.text.replace(/\/\/\S+/g, " ").trim();
                                    else
                                        titles.add(node.text.replace(/\/\/\S+/g, " ").trim());
                                }
                                else if (/月销/.test(node.text)) {
                                    volume = parseFloat(node.text.replace(/^\D+/, ""));
                                    if (/万/.test(node.text))
                                        volume *= 1e4;
                                }
                                else {
                                    text += node.text.endsWith("券后")
                                        ? "券后"
                                        : node.text.replace(/^\d{1,2}月\d{1,2}日/, "").replace(/^\d{1,2}(:\d{1,2})+/, "");
                                }
                                if (node.text == "发货")
                                    swipe = false;
                            }
                            text
                                .replace(/￥\d+\D{1,4}(专享红包|.{0,4}首单礼金)/g, "专享红包")
                                .replace(/(券|折)后(¥|￥)[\d\.]+/g, "")
                                .replace(/(¥|￥)\s*([\d\.]+)/g, function (x0, x1, p) {
                                var t = parseFloat(p);
                                if ((t > 0 && price == null) || t < price)
                                    price = t;
                                return "";
                            });
                            if (!(swipe && volume == null)) return [3 /*break*/, 5];
                            return [4 /*yield*/, we.dispatchGesture("500,500,500,200", 0, 40)];
                        case 4:
                            _a.sent();
                            _a.label = 5;
                        case 5: return [3 /*break*/, 1];
                        case 6:
                            if (!title)
                                title = Array.from(titles).join("||");
                            if (_prevTitle == title)
                                return [2 /*return*/, we.setText(_prevText || "刚刚找过<br/>跳过")];
                            if (!title || (volume == null && price == null))
                                return [2 /*return*/, we.setText("未识别到商品")];
                            if (!we.config.dev) return [3 /*break*/, 8];
                            we.toast(title + " | " + price + " | " + volume);
                            return [4 /*yield*/, sleep(2e3)];
                        case 7:
                            _a.sent();
                            _a.label = 8;
                        case 8:
                            if (runAt < running)
                                return [2 /*return*/];
                            we.setText("正在找券");
                            return [4 /*yield*/, we.get("material/gps", { title: title, volume: volume, price: price }).catch(function () {
                                    if (runAt < running)
                                        return;
                                    we.setText("网络错误");
                                    return null;
                                })];
                        case 9:
                            _coupon = _a.sent();
                            if (runAt < running)
                                return [2 /*return*/];
                            onFindCoupon(_coupon).then(function () {
                                _prevTitle = title;
                                _prevText = we.gps_text;
                            });
                            return [2 /*return*/];
                    }
                });
            });
        }
        function getJdCoupon(runAt) {
            return __awaiter(this, void 0, void 0, function () {
                var n, titles, price, title, nodes, text, i, node;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            n = 5;
                            titles = new Set();
                            we.setText("正在识别商品");
                            _a.label = 1;
                        case 1:
                            if (!(n-- > 0 && (!(titles.size || title) || price == null))) return [3 /*break*/, 4];
                            return [4 /*yield*/, sleep(500)];
                        case 2:
                            _a.sent();
                            if (runAt < running)
                                return [2 /*return*/, we.setText(_prevText)];
                            return [4 /*yield*/, we.getNodes(1)];
                        case 3:
                            nodes = _a.sent();
                            text = "";
                            for (i = 0; i < nodes.length; i++) {
                                node = nodes[i];
                                if (node.text == "查看详情")
                                    break;
                                if (!title &&
                                    node.left < 156 &&
                                    node.text.length > 16 &&
                                    !/查看>|满\d+元减\d+元|开PLUS年卡/.test(node.text)) {
                                    if (node.text.startsWith("\b\b"))
                                        title = node.text.slice(2).trim();
                                    else
                                        titles.add(node.text.trim());
                                }
                                else {
                                    text += node.text;
                                }
                            }
                            text
                                .replace(/(促销|价|券|定\s*金|可抵)¥[\d\.]+/g, "")
                                .replace(/¥[\d\.]+(首购)/g, "")
                                .replace(/¥([\d\.]+)/g, function (x0, p) {
                                var t = parseFloat(p);
                                if ((t > 0 && price == null) || t < price)
                                    price = t;
                                return "";
                            });
                            return [3 /*break*/, 1];
                        case 4:
                            if (!title)
                                title = Array.from(titles).join("||");
                            if (_prevTitle == title)
                                return [2 /*return*/, we.setText(_prevText || "刚刚找过<br/>跳过")];
                            if (!title)
                                return [2 /*return*/, we.setText("未识别到商品")];
                            if (!we.config.dev) return [3 /*break*/, 6];
                            we.toast(title + " | " + price);
                            return [4 /*yield*/, sleep(2e3)];
                        case 5:
                            _a.sent();
                            _a.label = 6;
                        case 6:
                            if (runAt < running)
                                return [2 /*return*/];
                            we.setText("正在找券");
                            return [4 /*yield*/, we.get("material/gps_jd", { title: title, price: price }).catch(function () {
                                    if (runAt < running)
                                        return;
                                    we.setText("网络错误");
                                    return null;
                                })];
                        case 7:
                            _coupon = _a.sent();
                            if (runAt < running)
                                return [2 /*return*/];
                            onFindCoupon(_coupon).then(function () {
                                _prevTitle = title;
                                _prevText = we.gps_text;
                            });
                            return [2 /*return*/];
                    }
                });
            });
        }
        function getJdCarCoupon(runAt) {
            return __awaiter(this, void 0, void 0, function () {
                var n, price, title, itemId, nodes, i, node;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            n = 5;
                            title = "car";
                            we.setText("正在识别商品");
                            _a.label = 1;
                        case 1:
                            if (!(n-- > 0 && !itemId)) return [3 /*break*/, 4];
                            return [4 /*yield*/, sleep(500)];
                        case 2:
                            _a.sent();
                            if (runAt < running)
                                return [2 /*return*/, we.setText(_prevText)];
                            return [4 /*yield*/, we.getNodes(1)];
                        case 3:
                            nodes = _a.sent();
                            for (i = 0; i < nodes.length; i++) {
                                node = nodes[i];
                                if (node.text.startsWith("编号:")) {
                                    itemId = node.text.slice(3);
                                    break;
                                }
                                else if (!price && node.text.startsWith("¥")) {
                                    price = parseFloat(node.text.slice(1));
                                }
                            }
                            return [3 /*break*/, 1];
                        case 4:
                            if (_coupon && _coupon.data && _coupon.data.item_id == itemId)
                                return [2 /*return*/, we.setText(_prevText || "刚刚找过<br/>跳过")];
                            if (!itemId)
                                return [2 /*return*/, we.setText("未识别到商品")];
                            if (!we.config.dev) return [3 /*break*/, 6];
                            we.toast(itemId + " | " + price);
                            return [4 /*yield*/, sleep(2e3)];
                        case 5:
                            _a.sent();
                            _a.label = 6;
                        case 6:
                            if (runAt < running)
                                return [2 /*return*/];
                            we.setText("正在找券");
                            return [4 /*yield*/, we.get("material/gps_jd", { title: title, price: price, itemId: itemId }).catch(function () {
                                    if (runAt < running)
                                        return;
                                    we.setText("网络错误");
                                    return null;
                                })];
                        case 7:
                            _coupon = _a.sent();
                            if (runAt < running)
                                return [2 /*return*/];
                            onFindCoupon(_coupon).then(function () {
                                _prevTitle = title;
                                _prevText = we.gps_text;
                            });
                            return [2 /*return*/];
                    }
                });
            });
        }
        function getPddCoupon(runAt) {
            return __awaiter(this, void 0, void 0, function () {
                var n, price, title, volume, nodes, text, i, node, idx_1, i, s, i, s;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            n = 5;
                            we.setText("正在识别商品");
                            _a.label = 1;
                        case 1:
                            if (!(n-- > 0 && (!title || price == null))) return [3 /*break*/, 4];
                            return [4 /*yield*/, sleep(500)];
                        case 2:
                            _a.sent();
                            if (runAt < running)
                                return [2 /*return*/, we.setText(_prevText)];
                            return [4 /*yield*/, we.getNodes(1)];
                        case 3:
                            nodes = _a.sent();
                            text = "";
                            for (i = 0; i < nodes.length; i++) {
                                node = nodes[i];
                                if (/查看(更多|全部)/.test(node.text))
                                    break;
                                if (/^(累计)?已拼/.test(node.text)) {
                                    volume = parseFloat(node.text.replace(/^\D+/, ""));
                                    if (/万/.test(node.text))
                                        volume *= 1e4;
                                    idx_1 = i + 1;
                                    while ((idx_1 < nodes.length && nodes[idx_1].text.length < 5) ||
                                        nodes[idx_1].text.startsWith("支持分期"))
                                        idx_1++;
                                    if (idx_1 < nodes.length)
                                        title = nodes[idx_1].text;
                                }
                                else {
                                    text += node.text;
                                }
                            }
                            text.replace(/¥([\d\.]+)/g, function (x0, p) {
                                var t = parseFloat(p);
                                if ((t > 0 && price == null) || t < price)
                                    price = t;
                                return "";
                            });
                            return [3 /*break*/, 1];
                        case 4:
                            for (i = 0; i < _pddEndTrims.length; i++) {
                                s = _pddEndTrims[i];
                                if (title.endsWith(s))
                                    title = title.substring(0, title.length - s.length);
                            }
                            for (i = 0; i < _pddStartTrims.length; i++) {
                                s = _pddStartTrims[i];
                                if (title.startsWith(s))
                                    title = title.substring(s.length);
                            }
                            if (_prevTitle == title)
                                return [2 /*return*/, we.setText(_prevText || "刚刚找过<br/>跳过")];
                            if (!title)
                                return [2 /*return*/, we.setText("未识别到商品")];
                            if (!we.config.dev) return [3 /*break*/, 6];
                            we.toast(title + " | " + price + " | " + volume);
                            return [4 /*yield*/, sleep(2e3)];
                        case 5:
                            _a.sent();
                            _a.label = 6;
                        case 6:
                            if (runAt < running)
                                return [2 /*return*/];
                            we.setText("正在找券");
                            return [4 /*yield*/, we.get("material/gps_pdd", { title: title, volume: volume, price: price }).catch(function () {
                                    if (runAt < running)
                                        return;
                                    we.setText("网络错误");
                                    return null;
                                })];
                        case 7:
                            _coupon = _a.sent();
                            if (runAt < running)
                                return [2 /*return*/];
                            onFindCoupon(_coupon).then(function () {
                                _prevTitle = title;
                                _prevText = we.gps_text;
                            });
                            return [2 /*return*/];
                    }
                });
            });
        }
        var setting, dlg_win, size, running, gps_settings, _prevTitle, _prevText, _coupon, clsname, _pddEndTrims, _pddStartTrims;
        var _this = this;
        return __generator(this, function (_a) {
            switch (_a.label) {
                case 0:
                    setting = we.watchDB("setting", {
                        gpsEnable: true,
                        meituan: true,
                    });
                    dlg_win = we.newFloatWindow("dlg");
                    we.screenSize().then(function (x) { return (size = x); });
                    running = 0;
                    gps_settings = {
                        shareMode: 2,
                        shareRate: 0.6,
                    };
                    return [4 /*yield*/, we.dbget("gps.coupon")];
                case 1:
                    _coupon = _a.sent();
                    we.on("of:gps:click", function () {
                        return __awaiter(this, void 0, void 0, function () {
                            var coupon_word;
                            return __generator(this, function (_a) {
                                switch (_a.label) {
                                    case 0:
                                        if (!_coupon)
                                            return [2 /*return*/, we.open()];
                                        if (!_coupon.data) return [3 /*break*/, 4];
                                        if (!(_coupon.data.user_type < 2)) return [3 /*break*/, 2];
                                        we.setText("正在领取\n请稍候\n");
                                        we.performGlobalAction(2);
                                        return [4 /*yield*/, we.sleep(800)];
                                    case 1:
                                        _a.sent();
                                        _a.label = 2;
                                    case 2: return [4 /*yield*/, we.getCouponWord(_coupon.data, "history")];
                                    case 3:
                                        coupon_word = _a.sent();
                                        we.openCouponWord(_coupon.data, coupon_word);
                                        return [3 /*break*/, 5];
                                    case 4:
                                        if (_coupon.list.length) {
                                            we.open();
                                        }
                                        _a.label = 5;
                                    case 5: return [2 /*return*/];
                                }
                            });
                        });
                    });
                    we.on("gps.showcoupon", function (_a) {
                        var data = _a.data;
                        return showCoupon(data);
                    });
                    we.on("a:2048", jdToggle);
                    we.on("a:8192", jdToggle);
                    we.on("a:32", function (_a) {
                        var data = _a.data;
                        return __awaiter(_this, void 0, void 0, function () {
                            var ss, pkgname, text, n, today, _b;
                            return __generator(this, function (_c) {
                                switch (_c.label) {
                                    case 0:
                                        if (!setting.gpsEnable)
                                            return [2 /*return*/];
                                        if (!data || data == "cn.inu1255.quan2go,android.webkit.WebView")
                                            return [2 /*return*/];
                                        ss = data.split(",");
                                        pkgname = ss[0];
                                        clsname = ss[1];
                                        if (!clsname.endsWith(".activity.DetailActivity")) return [3 /*break*/, 1];
                                        // com.taobao.android.detail.wrapper.activity.DetailActivity
                                        getCoupon((running = Date.now()));
                                        return [3 /*break*/, 14];
                                    case 1:
                                        if (!clsname.endsWith(".productdetail.ProductDetailActivity")) return [3 /*break*/, 2];
                                        // com.jd.lib.productdetail.ProductDetailActivity
                                        getJdCoupon((running = Date.now()));
                                        return [3 /*break*/, 14];
                                    case 2:
                                        if (!clsname.endsWith("com.jingdong.common.ui.JDBottomDialog")) return [3 /*break*/, 3];
                                        getJdCarCoupon((running = Date.now()));
                                        return [3 /*break*/, 14];
                                    case 3:
                                        if (!(clsname == "com.jd.lib.settlement.fillorder.activity.NewFillOrderActivity")) return [3 /*break*/, 9];
                                        text = "";
                                        n = 5;
                                        _c.label = 4;
                                    case 4:
                                        if (!(n-- && text.indexOf("提交订单") < 0)) return [3 /*break*/, 7];
                                        return [4 /*yield*/, we.getAllText()];
                                    case 5:
                                        text = _c.sent();
                                        return [4 /*yield*/, we.sleep(300)];
                                    case 6:
                                        _c.sent();
                                        return [3 /*break*/, 4];
                                    case 7: return [4 /*yield*/, we.reportText(pkgname, clsname, text)];
                                    case 8:
                                        _c.sent();
                                        return [3 /*break*/, 14];
                                    case 9:
                                        if (!clsname.endsWith(".pinduoduo.activity.NewPageActivity")) return [3 /*break*/, 10];
                                        return [3 /*break*/, 14];
                                    case 10:
                                        if (!(clsname == "com.sankuai.waimai.business.page.homepage.TakeoutActivity")) return [3 /*break*/, 13];
                                        today = Math.floor((Date.now() + 28800e3) / 86400e3) * 86400e3 - 28800e3;
                                        _b = !setting.meituan;
                                        if (_b) return [3 /*break*/, 12];
                                        return [4 /*yield*/, we.dbget("gps.meituan_at")];
                                    case 11:
                                        _b = (_c.sent()) > today;
                                        _c.label = 12;
                                    case 12:
                                        if (_b)
                                            return [2 /*return*/];
                                        // 美团外卖券
                                        // let ret = await dlg_win.open({url: we.config._baseURL + "dlg.html", x: 100, y: size.y / 2 - 215, width: size.x - 200, height: 315, forceLayout: true});
                                        // if (ret) {
                                        we.meituan();
                                        // }
                                        we.dbset("gps.meituan_at", Date.now());
                                        dlg_win.destroy();
                                        return [3 /*break*/, 14];
                                    case 13:
                                        if ([
                                            "com.miui.home",
                                            "com.huawei.android.launcher",
                                            "com.taobao.taobao",
                                            "com.jingdong.app.mall",
                                            "com.xunmeng.pinduoduo",
                                        ].indexOf(pkgname) < 0) {
                                            we.setText("");
                                        }
                                        _c.label = 14;
                                    case 14: return [2 /*return*/];
                                }
                            });
                        });
                    });
                    _pddEndTrims = [
                        "送货入户并安装",
                        "送货入户",
                        "电子发票",
                        "坏果包赔",
                        "闪电退款",
                        "24小时发货",
                        "48小时发货",
                        "顺丰包邮",
                        "只换不修",
                        "全国联保",
                        "分期付款",
                        "极速退款",
                        "品质保障",
                        "缺重包退",
                        "当日发货",
                        "可定制化",
                        "预约配送",
                        "正品发票",
                        "送货入户并安装",
                        "退货包运费",
                        "预售",
                    ];
                    _pddStartTrims = ["活动标签"];
                    return [2 /*return*/];
            }
        });
    });
}
//# sourceMappingURL=gps.js.map