var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
var __generator = (this && this.__generator) || function (thisArg, body) {
    var _ = { label: 0, sent: function() { if (t[0] & 1) throw t[1]; return t[1]; }, trys: [], ops: [] }, f, y, t, g;
    return g = { next: verb(0), "throw": verb(1), "return": verb(2) }, typeof Symbol === "function" && (g[Symbol.iterator] = function() { return this; }), g;
    function verb(n) { return function (v) { return step([n, v]); }; }
    function step(op) {
        if (f) throw new TypeError("Generator is already executing.");
        while (_) try {
            if (f = 1, y && (t = op[0] & 2 ? y["return"] : op[0] ? y["throw"] || ((t = y["return"]) && t.call(y), 0) : y.next) && !(t = t.call(y, op[1])).done) return t;
            if (y = 0, t) op = [op[0] & 2, t.value];
            switch (op[0]) {
                case 0: case 1: t = op; break;
                case 4: _.label++; return { value: op[1], done: false };
                case 5: _.label++; y = op[1]; op = [0]; continue;
                case 7: op = _.ops.pop(); _.trys.pop(); continue;
                default:
                    if (!(t = _.trys, t = t.length > 0 && t[t.length - 1]) && (op[0] === 6 || op[0] === 2)) { _ = 0; continue; }
                    if (op[0] === 3 && (!t || (op[1] > t[0] && op[1] < t[3]))) { _.label = op[1]; break; }
                    if (op[0] === 6 && _.label < t[1]) { _.label = t[1]; t = op; break; }
                    if (t && _.label < t[2]) { _.label = t[2]; _.ops.push(op); break; }
                    if (t[2]) _.ops.pop();
                    _.trys.pop(); continue;
            }
            op = body.call(thisArg, _);
        } catch (e) { op = [6, e]; y = 0; } finally { f = t = 0; }
        if (op[0] & 5) throw op[1]; return { value: op[0] ? op[1] : void 0, done: true };
    }
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
(function () {
    var recordWindow;
    var ad_setting = we.watchDB("data.inu1255 广告跳过 ad", {});
    var node_flag = 0;
    var pkg2name = {};
    we.getApps(0).then(function (list) {
        for (var _i = 0, list_1 = list; _i < list_1.length; _i++) {
            var x = list_1[_i];
            pkg2name[x.pkg] = x.name;
        }
    });
    we.on("adskip.record", adskip);
    function adskip() {
        var _this = this;
        if (!recordWindow) {
            var record_1 = we.newFloatWindow("record", {
                url: we.config._baseURL + "record.html",
                baseURL: we.config._baseURL,
                x: 10000,
                y: 600,
                width: 170,
                height: 170,
                movable: true,
            });
            var openLogo_1 = function () {
                record_1.open({ x: 10000, y: 600, width: 170, height: 170, movable: true, forceLayout: true });
                return we.sleep(300).then(function (x) { return record_1.eval("vue.nodes=null"); });
            };
            we.sleep(500).then(function () { return openLogo_1(); });
            var list_2 = [];
            recordWindow = record_1;
            var key_1;
            var cls_1;
            var getNodes_1 = function (isFirst) { return __awaiter(_this, void 0, void 0, function () {
                var nodes;
                return __generator(this, function (_a) {
                    switch (_a.label) {
                        case 0:
                            if (!isFirst) return [3 /*break*/, 2];
                            return [4 /*yield*/, we.getCurrentPackage()];
                        case 1:
                            key_1 = _a.sent();
                            list_2 = [];
                            _a.label = 2;
                        case 2:
                            console.log("getNodes", key_1);
                            return [4 /*yield*/, we.getCurrentClass()];
                        case 3:
                            cls_1 = _a.sent();
                            if (!key_1)
                                return [2 /*return*/, we.toast("请先切换到桌面")];
                            return [4 /*yield*/, we.getNodes(node_flag)];
                        case 4:
                            nodes = _a.sent();
                            if (!nodes || !nodes.length)
                                we.toast("当前APP仅支持图片模式");
                            record_1.open({ movable: false, forceLayout: true });
                            return [4 /*yield*/, record_1.eval(function (isFirst, nodes, pkg, cls) {
                                    if (isFirst)
                                        this.vue.path = [];
                                    this.vue.nodes = nodes;
                                    this.vue.step = 1;
                                    this.vue.pkg = pkg;
                                    this.vue.cls = cls;
                                    if (!nodes.length)
                                        this.vue.getImage();
                                }, isFirst, nodes, key_1, cls_1)];
                        case 5:
                            _a.sent();
                            return [2 /*return*/];
                    }
                });
            }); };
            record_1.on("getNodes", function (e) { return getNodes_1(true); });
            record_1.on("stop", function () {
                return __awaiter(this, void 0, void 0, function () {
                    return __generator(this, function (_a) {
                        openLogo_1();
                        return [2 /*return*/];
                    });
                });
            });
            record_1.on("close", function () {
                return __awaiter(this, void 0, void 0, function () {
                    return __generator(this, function (_a) {
                        if (recordWindow == record_1)
                            recordWindow = null;
                        record_1.destroy();
                        return [2 /*return*/];
                    });
                });
            });
            record_1.on("getImage", function (e) {
                return __awaiter(this, void 0, void 0, function () {
                    var src;
                    return __generator(this, function (_a) {
                        switch (_a.label) {
                            case 0: return [4 /*yield*/, we.getScreenCapture()];
                            case 1:
                                src = _a.sent();
                                return [4 /*yield*/, we.getCurrentClass()];
                            case 2:
                                cls_1 = _a.sent();
                                return [4 /*yield*/, record_1.eval(function (src, cls) {
                                        this.vue.image = src;
                                        this.vue.cls = cls;
                                    }, src, cls_1)];
                            case 3:
                                _a.sent();
                                return [2 /*return*/];
                        }
                    });
                });
            });
            record_1.on("next", function (_a) {
                var data = _a.data;
                return __awaiter(_this, void 0, void 0, function () {
                    var end, rest, name_1, ad;
                    return __generator(this, function (_b) {
                        switch (_b.label) {
                            case 0:
                                end = data.end, rest = __rest(data, ["end"]);
                                console.log(data);
                                if (!(rest.view || rest.text || rest.path || rest.image)) return [3 /*break*/, 4];
                                rest.cls = cls_1;
                                list_2.push(rest);
                                return [4 /*yield*/, record_1.close()];
                            case 1:
                                _b.sent();
                                return [4 /*yield*/, record_1.eval(function () {
                                        this.vue.step = 0;
                                    })];
                            case 2:
                                _b.sent();
                                return [4 /*yield*/, we.click(rest, key_1)];
                            case 3:
                                _b.sent();
                                _b.label = 4;
                            case 4:
                                if (!end) return [3 /*break*/, 7];
                                if (!list_2.length)
                                    return [2 /*return*/, we.toast("失败")];
                                return [4 /*yield*/, openLogo_1()];
                            case 5:
                                _b.sent();
                                console.log(key_1, list_2);
                                name_1 = we.timestamp();
                                ad = ad_setting[key_1] || {};
                                ad[name_1] = list_2;
                                ad_setting[key_1] = ad;
                                return [4 /*yield*/, we.dbset("data.inu1255 广告跳过 ad", ad_setting)];
                            case 6:
                                _b.sent();
                                we.toast((pkg2name[key_1] || "") + "脚本添加成功");
                                key_1 = "";
                                list_2 = [];
                                return [3 /*break*/, 10];
                            case 7: return [4 /*yield*/, we.sleep(500)];
                            case 8:
                                _b.sent();
                                return [4 /*yield*/, getNodes_1()];
                            case 9:
                                _b.sent();
                                _b.label = 10;
                            case 10: return [2 /*return*/];
                        }
                    });
                });
            });
        }
    }
})();
//# sourceMappingURL=adskip.js.map