cordova.define("cordova-plugin-we.we", function(require, exports, module) {
const cordova_exec = require("cordova/exec");
const PLUGIN_CLASS = "CordovaPluginWe";

var __we = {
	v8: 0,
};

function each(method) {
	Object.defineProperty(__we, method, {
		configurable: true,
		get: function () {
			return function () {
				var args = Array.from(arguments);
				return new Promise(function (resolve, reject) {
					cordova_exec(resolve, reject, PLUGIN_CLASS, method, args);
				});
			};
		},
	});
}

function init(methods) {
	methods.split(",").forEach(each);
}

function ondata() {
	__we.ondata && __we.ondata.apply(__we, arguments);
}
cordova_exec(ondata, console.error, PLUGIN_CLASS, "ondata", []);
cordova_exec(init, console.error, PLUGIN_CLASS, "init", []);

module.exports = window["__we"] = __we;

});
